import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:liftmanager/common/common.dart';
import 'package:liftmanager/internal/account/account_router.dart';
import 'package:liftmanager/internal/account/model/user_info_entity.dart';
import 'package:liftmanager/internal/account/provider/user_provider.dart';
import 'package:liftmanager/internal/wode/wode_router.dart';
import 'package:liftmanager/net/api_service.dart';
import 'package:liftmanager/routers/fluro_navigator.dart';
import 'package:liftmanager/utils/image_utils.dart';
import 'package:liftmanager/widgets/app_bar.dart';
import 'package:liftmanager/widgets/click_item.dart';
import 'package:liftmanager/widgets/load_image.dart';
import 'package:liftmanager/widgets/my_button.dart';
import 'package:provider/provider.dart';
import 'package:liftmanager/widgets/bbs_content.dart';
import 'package:liftmanager/internal/bbs/bbs_router.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:liftmanager/res/resources.dart';
import 'package:liftmanager/mvp/base_page_state.dart';
import 'package:liftmanager/internal/wode/presenter/piao_tou_list_presenter.dart';
import 'package:liftmanager/internal/search/presenter/base_list_provider.dart';
import 'package:liftmanager/internal/wode/model/piao_tou_model.dart';
import 'package:liftmanager/widgets/state_layout.dart';
import 'package:liftmanager/utils/time_format.dart';
import 'package:liftmanager/utils/log_util.dart';
import 'package:liftmanager/widgets/my_refresh_list.dart';
import 'package:liftmanager/utils/fast_notification.dart';

class PiaoCenter extends StatefulWidget {
  // PiaoCheck(this.type);

  // final String type;
  @override
  PiaoCenterState createState() => PiaoCenterState();
}

class PiaoCenterState extends State<PiaoCenter> {

   @override
  void initState() {
    super.initState();
    
  }

  
  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    double height = MediaQuery.of(context).size.height;
    return

    Scaffold(
          // resizeToAvoidBottomPadding: true,
          appBar: MyAppBar(
                centerTitle: "发票中心",
              ),
          body: Container(
            // color: Color(0xFFF1F4FC),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                ClickItem(
                      title: "待开发票",
                      content: "",
                      onTap: () {
                        NavigatorUtils.push(context, WodeRouter.piaoWait);
                      },
                    ),
                ClickItem(
                      title: "我的发票",
                      content: "",
                      onTap: () {
                        NavigatorUtils.push(context, WodeRouter.piaoList);
                      },
                    ),
                ClickItem(
                      title: "发票抬头",
                      content: "",
                      onTap: () {
                        NavigatorUtils.push(context, "${WodeRouter.piaotou}?checkTou=&type=");
                      },
                    ),
                
              ],
            ),
          ),
        );
    

  }

}






